#
# spec file for package saint (Version 3.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bind8 mailx nfs-server nmap samba sharutils ypbind
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bind8 bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 mailx make man mktemp modutils ncurses ncurses-devel net-tools netcfg nfs-server nmap pam pam-devel patch perl ps rcs readline rpm samba sendmail sh-utils shadow sharutils strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ypbind

Name:         saint
Copyright:    WWDSI
Group:        Utilities/Security
Requires:     web_browser
Autoreqprov:  on
Version:      3.2.3
Release:      84
Summary:      Tool to assess the security of computer networks
URL:          http://www.wwdsi.com/saint/
Source:       %{name}-%{version}.tar.bz2
Source1:      LICENSE
Patch:        %{name}-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
The "Security Administrator's Integrated Network Tool" is designed
to assess the security of computer networks. Built upon SATAN, SAINT is
an improved version of that product.

SuSE series: sec

%prep
%setup
%patch
cp %{S:1} .

%build
%{suse_update_config}
aclocal
autoconf
CPPFLAGS="$RPM_OPT_FLAGS" ./configure \
				--mandir=%{_mandir} \
				--prefix=%{_prefix} \
				--infodir=%{_infodir} \
				--sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/{var/lib/saint/saint-data,usr/{lib/saint,sbin}}
cp -a html bin config perl perllib rules scripts $RPM_BUILD_ROOT/usr/lib/saint
chmod -R o-rwx $RPM_BUILD_ROOT/{usr/lib/saint,var/lib/saint}
chmod -R g-w   $RPM_BUILD_ROOT/{usr/lib/saint,var/lib/saint}
install -m 750 saint $RPM_BUILD_ROOT/usr/lib/saint/
install -m 750 saint.bin $RPM_BUILD_ROOT/usr/sbin/saint
chmod 750 $RPM_BUILD_ROOT/usr/sbin/saint

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f /usr/lib/saint/html/saint.html
rm -f /usr/lib/saint/html/saint_documentation.html

%files
%defattr(-,root,root)
%doc LICENSE CHANGES README READMEs/ html/
%{_prefix}/lib/saint
%{_prefix}/sbin/saint
/var/lib/saint

%changelog -n saint
* Fri Aug 03 2001 - cihlar@suse.cz
- fixed start script to enable parameters
* Wed Aug 01 2001 - cihlar@suse.cz
- update to version 3.2.3
* Mon Jun 11 2001 - cihlar@suse.cz
- fixed prefix
* Tue Apr 10 2001 - cihlar@suse.cz
- update to version 3.1.3
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Wed Feb 28 2001 - cihlar@suse.cz
- added patch for kernel 2.4
* Tue Feb 27 2001 - cihlar@suse.cz
- update to version 3.1.2
* Sun Dec 03 2000 - smid@suse.cz
- new version 3.1
* Thu Nov 30 2000 - ro@suse.de
- updated neededforbuild
* Wed Nov 22 2000 - ro@suse.de
- remove private includes / use glibc
* Sat Oct 28 2000 - kukuk@suse.de
- Fix need for build
* Tue Sep 05 2000 - ro@suse.de
- fixed requires (perl is automatic, web_browser is meta for browsers)
* Tue Jul 11 2000 - mha@suse.de
- update to 2.1.1
* Fri May 05 2000 - nadvornik@suse.cz
- update to 2.0.1
- added BuildRoot
- added URL, changed Group
* Thu Mar 23 2000 - ro@suse.de
- fixed preprocessor macros for archs
* Tue Mar 21 2000 - mha@suse.de
- new version: 2.0
* Mon Feb 21 2000 - mha@suse.de
- removed 'netscape' from neededforbuild list
* Mon Feb 14 2000 - mha@suse.de
- new version: 1.5 (incl. patch 1)
* Wed Dec 29 1999 - mha@suse.de
- new version: 1.4.1
  seems to have a lot of small usability bugs fixed that made
  live unnecessarily hard
* Thu Nov 04 1999 - uli@suse.de
- fixed saint.cf
- changed struct of dif to ease maintenance (using pkgmake)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - mha@suse.de
- new version: 1.4-stable
- new directory structure: runtime data into /var/saint
* Mon Aug 30 1999 - ro@suse.de
- fixed to compile on alpha
* Sun Jul 11 1999 - mha@suse.de
- new package: SAINT (security scanner based on SATAN)
